
Redmine - Defect #24109

Forums tab is missing but link is accessible

2016-10-20 09:54 - Pavel Potcheptsov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

If I enable Forum module then Forum tab is not appears, however I could access it directly by link with boards at the end.

# ruby ./bin/about

Environment:

  Redmine version                3.3.0.stable.15732

  Ruby version                   1.9.3-p327 (2012-11-10) [i686-linux]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  no plugin installed

History

#1 - 2016-10-20 10:13 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#23964#note-1

Why do you use such very old Ruby?

 #23964#note-3

I recommend you to use rvm or rbenv instead of package ruby.

#2 - 2016-10-20 15:23 - Pavel Potcheptsov

I use rvm with this ruby version because of no issues so far.

# rvm list

rvm rubies

=* ruby-1.9.3-p327 [ i686 ]

# => - current

# =* - current && default

#  * - default

# rvm -v

rvm 1.25.30 (stable) by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com> [https://rvm

.io/]

Do you suggest to update ruby with rvm?
#3 - 2016-10-20 17:23 - Toshi MARUYAMA

https://www.ruby-lang.org/en/news/2015/02/23/support-for-ruby-1-9-3-has-ended/

#4 - 2016-10-21 09:38 - Pavel Potcheptsov

I have updated to

Ruby version                   2.3.0-p0 (2015-12-25) [i686-linux]

and realized that Forums tab works once you add forum name in setting;)

Then I checked this with my current ruby-1.9.3-p327 installation and found out that it was just a my mistake. Everything works!

Sorry for the noise.

#5 - 2016-10-21 10:11 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
